# 项目启动

## zookeeper 启动

```shell
## 启动
zkServer.sh start
## 查看状态
zkServer.sh status
```

## kafka启动

```shell
## 启动
./kafka-server-start.sh -daemon ../config/server.properties
## 创建主题
./kafka-topics.sh --zookeeper service:2181,service-node1:2181,service-node2:2181/bigdata/kafka --create --topic "t_traffic" --partitions 3 --replication-factor 2
```

## flume启动

```shell
flume-ng agent -n a -f ./to_kafka.conf -Dflume.root.logger=INFO,console
```

